<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:context="http://www.springframework.org/schema/context" xmlns:util="http://www.springframework.org/schema/util" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
                        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd">


    <util:properties id="appProperties" location="classpath:application.properties" />
    <util:properties id="engineProperties" location="classpath:engine.properties" ignore-resource-not-found="true" />

    <context:property-placeholder properties-ref="appProperties" />

    <context:annotation-config />

    
    <bean id="feedbackService" class="fr.ge.feedback.service.impl.FeedbackServiceImpl"/>
    <bean id="feedbackPrivateRest" class="fr.ge.feedback.ws.v1.service.impl.FeedbackPrivateRestServiceImpl"/>

    <context:component-scan base-package="fr.ge.feedback.ws.server">
        <context:exclude-filter expression="org.springframework.stereotype.Controller" type="annotation" />
    </context:component-scan>

    <bean id="dozerBeanMapper" class="org.dozer.DozerBeanMapper" />

    <import resource="appstatus-context.xml" />
    <import resource="ws-server-cxf-context.xml" />
    <import resource="classpath:spring/persistence-context.xml" />
    <import resource="classpath:spring/log-filter-ws-context.xml" />

</beans>